Upstream information

CVE-2020-17442 at MITRE

Description

An issue was discovered in picoTCP 1.7.0. The code for parsing the hop-by-hop IPv6 extension headers does not validate the bounds of the extension header length value, which may result in Integer Wraparound. Therefore, a crafted extension header length value may cause Denial-of-Service because it affects the loop in which the extension headers are parsed in pico_ipv6_process_hopbyhop() in pico_ipv6.c.

SUSE information

Overall state of this security issue: Does not affect SUSE products

This issue is currently rated as having moderate severity.

Note from the SUSE Security Team

SUSE does not ship the picoTP stack, so it is not affected by this problem.

SUSE Bugzilla entry: 1179907 [NEW]

No SUSE Security Announcements cross referenced.